Subject: Sending patches with KMail (Re: [PATCH] git-blame.el: Fix compilation warnings.)

From: Jonathan Nieder <[email-masked]>
Date: Fri, 13 Jan 2012 17:31:58 -0600

Hi,

Rüdiger Sonderfeld wrote:
> On Thursday 12 January 2012 10:26:41 Jonathan Nieder wrote:

>> These lines should be left out [*].
>
> Sorry, I wasn't sure whether to remove them or not. I followed the description 
> in git-format-patch(1) on how to send patches with kmail. I'll remove them in 
> the future. Thanks for the advice.

Oh, thanks for the pointer.  How about something like this?

The hints at [1] might also be useful, in case you would like to try
and consider improving the manpage to document them if they work.

-- >8 --
Subject: Documentation/format-patch: mention removal of in-body headers for KMail

The opening "From " line and following lines in "git format-patch"

	From 13c41b41b832d41680ccd33a2422ef8217965566 Mon Sep 17 00:00:00 2001
	From: Jonathan Nieder <[email-masked]>
	Date: Fri, 13 Jan 2012 17:22:41 -0600

are for your mailer and should be omitted except for fields that
differ from the mail header when reading your patch into an email
body.  Otherwise "git am" thinks these lines are part of the commit
message  when trying to reproduce the resulting patch from an mbox
automatically.  Add a reminder in this direction to the KMail recipe.

Suggested-by: Rüdiger Sonderfeld <[email-masked]>
Signed-off-by: Jonathan Nieder <[email-masked]>
---
[1] http://thread.gmane.org/gmane.comp.version-control.git/171580/focus=171720

 Documentation/git-format-patch.txt |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/Documentation/git-format-patch.txt b/Documentation/git-format-patch.txt
index 6ea9be77..5e1d6d2c 100644
--- a/Documentation/git-format-patch.txt
+++ b/Documentation/git-format-patch.txt
@@ -462,8 +462,10 @@ This should help you to submit patches inline using KMail.
 
 4. Use Message -> Insert file... and insert the patch.
 
-5. Back in the compose window: add whatever other text you wish to the
-   message, complete the addressing and subject fields, and press send.
+5. Back in the compose window: remove the "`From $SHA1 $magic_timestamp`"
+   marker and unwanted in-body headers, add whatever other text you wish
+   to the message, complete the addressing and subject fields, and
+   press send.

 EXAMPLES
-- 
1.7.8.3